package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import java.util.ArrayList;
import java.util.List;

public abstract class DmSelectPivotBase extends DmSQLObjectImpl {
   protected final List<SQLExpr> pivotFor = new ArrayList();

   public List<SQLExpr> getPivotFor() {
      return this.pivotFor;
   }

   public DmSelectPivotBase clone() {
      throw new UnsupportedOperationException();
   }
}
